package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-11-15
 * @description : 游戏状态
 */
@Getter
@AllArgsConstructor
public enum GameStatusEnum {

    /**
     * 未接入
     */
    UN_JOIN_UP(1, "未接入"),

    /**
     * 接入中
     */
    NOW_JOIN_UP(2, "接入中"),

    /**
     * 上线
     */
    ON_LINE(3, "上线"),

    /**
     * 下线
     */
    OFF_LINE(4, "下线");

    /**
     * 状态
     */
    private Integer status;

    /**
     * 描述
     */
    private String name;
}
